services:
    _defaults:
        autowire: true
        autoconfigure: true

    Chill\PersonBundle\Controller\PersonController:
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\TimelinePersonController:
        arguments:
            $eventDispatcher: '@Symfony\Contracts\EventDispatcher\EventDispatcherInterface'
            $timelineBuilder: '@chill_main.timeline_builder'
            $paginatorFactory: '@chill_main.paginator_factory'
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\AccompanyingPeriodController:
        autowire: true
        autoconfigure: true
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\PersonAddressController:
        arguments:
            $validator: '@Symfony\Component\Validator\Validator\ValidatorInterface'
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\AdminController: ~

    Chill\PersonBundle\Controller\PersonDuplicateController:
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\AccompanyingCourseController:
        autoconfigure: true
        autowire: true
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\AccompanyingCourseApiController:
        autoconfigure: true
        autowire: true
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\ReassignAccompanyingPeriodController:
        autoconfigure: true
        autowire: true
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\PersonApiController:
        autoconfigure: true
        autowire: true
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\AccompanyingCourseWorkApiController:
        autowire: true
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\SocialWorkResultApiController:
        autowire: true
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\SocialWorkGoalApiController:
        autowire: true
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\HouseholdApiController:
        autowire: true
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\RelationshipApiController:
        autowire: true
        tags: ['controller.service_arguments']

    Chill\PersonBundle\Controller\PersonSignatureController:
        tags: [ 'controller.service_arguments' ]

    Chill\PersonBundle\Controller\SocialActionCSVExportController:
        tags: [ 'controller.service_arguments' ]

    Chill\PersonBundle\Controller\SocialIssueCSVExportController:
        tags: [ 'controller.service_arguments' ]
